%define pkg_name        Acme-EyeDrops
%define pkg_version     1.51
%define rpm_pkg_version 1.51
%define rpm_pkg_release 1.n0i.1

Summary:       Visual Programming in Perl
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/A/AS/ASAVIGE/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
Acme::EyeDrops converts a Perl program into an equivalent one,
but without all those unsightly letters and numbers.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}
%{fix_perl_path demo/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes demo/ README


%changelog
* Wed Aug 29 2007 Marius Feraru <altblue@n0i.net> - 1.51-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.9
- version 1.51
